Geodatabase (.gdb) Not Opening on Mac 10.13.x with ExFAT External Drives

2018-02-23 12:42 AM - Miichael Medina

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.15 Regression?: No

Operating System: macOS High Sierra 10.13.3 (17D102) Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26069

Description

When trying to open a .gdb file on an ExFAT formatted external drive, it fails to open and gives me the following error "...is not a valid or

recognized data source".

It fails to open whether it's connected through USB or an SD card directly into my iMac (probably USB anyway)

When opening the same .gdb on Windows, it opens just fine on the C drive or the external drives.

If I copy the gdb to any other drive it opens as expected.  This is a workaround.

History

#1 - 2018-02-24 12:14 AM - Miichael Medina

- Status changed from Open to Closed

This appears to be an issue with GDAL (not sure if it's only with the Kyngchaos version or GDAL in general)

#2 - 2018-03-03 09:38 PM - Giovanni Manghi

- Resolution set to invalid
